Bug 245111 (CVE-2007-3304) - CVE-2007-3304 httpd scoreboard lack of PID protection
Summary: CVE-2007-3304 httpd scoreboard lack of PID protection
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2007-3304
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard: public=20070619,source=bugtraq,impact...
Depends On: 413891 449336 244659 244660 244665 244666 245116 245127 245752 246180 246181 246182 246214 411711 414281 430775 430776 430777 430780 430781 430782 449337 582767
Blocks: 444136
TreeView+ depends on / blocked
 
Reported: 2007-06-21 07:47 UTC by Mark J. Cox
Modified: 2019-06-08 12:20 UTC (History)
3 users (show)

Fixed In Version: httpd 1.3.39
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2008-01-14 16:32:15 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2007:0532 normal SHIPPED_LIVE Moderate: apache security update 2007-06-26 15:13:14 UTC
Red Hat Product Errata RHSA-2007:0556 normal SHIPPED_LIVE Moderate: httpd security update 2007-06-26 15:22:15 UTC
Red Hat Product Errata RHSA-2007:0662 normal SHIPPED_LIVE Moderate: httpd security update 2008-01-07 22:32:33 UTC
Red Hat Product Errata RHSA-2008:0263 normal SHIPPED_LIVE Low: Red Hat Network Proxy Server security update 2008-05-20 14:14:27 UTC
Red Hat Product Errata RHSA-2010:0602 normal SHIPPED_LIVE Moderate: Red Hat Certificate System 7.3 security update 2010-08-05 14:04:51 UTC

Description Mark J. Cox 2007-06-21 07:47:16 UTC
"Apache httpd 1.3.37, and 2.0.59 and 2.2.4 with the Prefork MPM module,
allows local users to cause a denial of service by modifying the
worker_score and process_score arrays to reference an arbitrary
process ID, which is sent a SIGUSR1 signal from the master process,
"SIGUSR1 killer.""

Fixed upstream by
http://svn.apache.org/viewvc?view=rev&rev=547987

Note that you'd need to have given local users the ability to run scripts (such
as php, cgi) in order for them to kill arbitrary processes.

Comment 3 Mark J. Cox 2007-06-25 09:14:54 UTC
This issue only affects httpd 2.2.x and httpd 1.3.x, not httpd 2.0.x
http://marc.info/?l=apache-httpd-dev&m=118252946632447&w=2

Comment 16 errata-xmlrpc 2010-08-04 21:33:05 UTC
This issue has been addressed in following products:

  Red Hat Certificate System 7.3

Via RHSA-2010:0602 https://rhn.redhat.com/errata/RHSA-2010-0602.html


Note You need to log in before you can comment on or make changes to this bug.